| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Num.IVectorApproximator Interface Reference

Interface for vector function approximators. More...

Inheritance diagram for IG.Num.IVectorApproximator:
[legend]

## Public Member Functions
void | CalculateOutput (IVector input, ref IVector output)
| Calculates and returns the approximated outputs corresponding to the specified inputs, by using the current vector function approximator. More...
double | CalculateOutput (IVector input, int whichElement)
| Calculates and returns the specified output by using the current vector function approximator. More...
void | CalculateOutput (IVector input, int[] indices, ref IVector filteredOutput)
| Calculates and returns the required output values corresponding to the specified inputs, by using the current vector function approximator. More...

## Properties
int | InputLength`[get, set]`
| Gets or sets the number of input parameters. More...
int | OutputLength`[get, set]`
| Gets or sets the number of output values. More...

## Detailed Description

Interface for vector function approximators.

## Member Function Documentation

void IG.Num.IVectorApproximator.CalculateOutput | ( | IVector | input,
|  | ref IVector | output
| ) |  |

Calculates and returns the approximated outputs corresponding to the specified inputs, by using the current vector function approximator.

Parameters

  input | Input parameters.

Returns
  Vector of output values generated by the approximator.

Currently, only all outputs at once can be calculated. This makes no difference in the arrangement with a single network with multiple outputs, but does when several networks with single output each are used. If the implementation changes in the future then performance configuratins should be taken into account carefully, and tracking input for which input parameters the outputs have been calculated might be necessary.

Implemented in IG.Num.INeuralApproximator, IG.Neural.NeuralApproximatorAforge, and IG.Num.NeuralApproximatorAforgeFake.

double IG.Num.IVectorApproximator.CalculateOutput | ( | IVector | input,
|  | int | whichElement
| ) |  |

Calculates and returns the specified output by using the current vector function approximator.

Implemented in IG.Num.NeuralApproximatorBase, IG.Num.INeuralApproximator, and IG.Num.NeuralApproximatorAforgeFake.

void IG.Num.IVectorApproximator.CalculateOutput | ( | IVector | input,
|  | int[] | indices,
|  | ref IVector | filteredOutput
| ) |  |

Calculates and returns the required output values corresponding to the specified inputs, by using the current vector function approximator.

Parameters

  input | Input parameters for which output values are calculated.
  indices | Array of indices of the output values to be returned.
  filteredOutput | Vector where filtered output values are stored.

Implemented in IG.Num.NeuralApproximatorBase, IG.Num.INeuralApproximator, and IG.Num.NeuralApproximatorAforgeFake.

## Property Documentation

int IG.Num.IVectorApproximator.InputLength
| get set

Gets or sets the number of input parameters.

int IG.Num.IVectorApproximator.OutputLength
| get set

Gets or sets the number of output values.

The documentation for this interface was generated from the following file:

- igbase/numeric/approximation/IVectorApproximator.cs